<?php

namespace UW\FCS\ApprovalQueue;

use  XF\ApprovalQueue\AbstractHandler;
use XF\Mvc\Entity\Entity;

class Comment extends AbstractHandler
{
	protected function canActionContent(Entity $content, &$error = null)
	{
		/** @var $content \XF\Entity\ProfilePostComment */
		return $content->canApproveUnapprove($error);
	}

	public function actionApprove(\UW\FCS\Entity\Comment $comment)
	{
            if ($comment->status == 3)
            {
                    $comment->status = 1;
                    $comment->save();
                    return true;
            }
            return FALSE;
	}
        
	public function actionDelete(\UW\FCS\Entity\Comment $comment)
	{
		$this->quickUpdate($comment, 'status', 2);
	}

	public function actionSpamClean(\UW\FCS\Entity\Comment $comment)
	{
		if (!$comment->User)
		{
			return;
		}

		$this->_spamCleanInternal($comment->User);
	}
}