<?php

namespace UW\FCS\BbCode;

class Listener {

    public static function commentQuote($tagChildren, $option, $tag, array $options, \XF\BbCode\Renderer\AbstractRenderer $renderer) {

        $attributes = [];
        $attributes['c'] = '';
        $attributes['m'] = '';
        $source = ['type' => 'member', 'id' => 0];
        $name = 'guest';
        
        if ($option !== null && strlen($option)) {
            $parts = explode(',', $option);
            $name = $renderer->filterString(array_shift($parts), array_merge($options, [
                'stopSmilies' => 1,
                'stopBreakConversion' => 1
            ]));
            
            foreach ($parts AS $part) {
                $attributeParts = explode(':', $part, 2);
                if (isset($attributeParts[1])) {
                    $attrName = trim($attributeParts[0]);
                    $attrValue = trim($attributeParts[1]);
                    if ($attrName !== '' && $attrValue !== '') {
                        $attributes[$attrName] = $attrValue;
                    }
                }
            }
            
            if ($attributes) {
                $firstValue = reset($attributes);
                $firstName = key($attributes);
                if ($firstName != 'member') {
                    $source = ['type' => $firstName, 'id' => intval($firstValue)];
                }
            }
        }
                
        $link = \XF::app()->router()->buildLink('goto/comment',null,['id' => $source['id']]);        
        $userLink = \XF::app()->router()->buildLink('members');
        $userLink .= $attributes['m'];
        
        return '<div class="bbCodeBlock-title uw_quote_thing">
                                 <a href="'.$userLink.'" class="username" dir="auto" data-user-id="'.$attributes['m'].'" data-xf-init="member-tooltip" ><span class="username">'.$name.'</span></a>
				<a href="'.$link.'" class="bbCodeBlock-sourceJump" data-xf-click="attribution" data-content-selector="#comment-'.$source['id'].'"></a>
		</div>';
    }

}
