<?php

namespace UW\FCS\Extend\ControllerPlugin;

class Quote extends XFCP_Quote
{
    public function actionMultiQuoteExtended($contentCollection, array $insertOrder, array $quotes, $context, $messageKey = 'message')
    {
            $output = [];

            foreach ($insertOrder AS $insert)
            {
                    if (!isset($insert['id']) || !is_string($insert['id']))
                    {
                            continue;
                    }

                    list($messageId, $key) = explode('-', $insert['id'], 2);
                    if(!$messageId)
                    {
                        list($messageId, $key) = explode('-', $key, 2);
                        $messageId = $messageId * -1;
                    }
                    
                    if (!isset($quotes[$messageId][$key]) || !isset($contentCollection[$messageId]))
                    {
                            continue;
                    }

                    $content = $contentCollection[$messageId];
                    $quote = $quotes[$messageId][$key];

                    if (is_string($quote))
                    {
                            $message = $quote;
                    }
                    else
                    {
                            $message = $this->prepareMessage($content, null, $messageKey);
                    }

                    if (!$message)
                    {
                            continue;
                    }
                    list($quote, $quoteHtml) = $this->getQuote($content, $message, $context);

                    $output[] = ['quote' => $quote, 'quoteHtml' => $quoteHtml];
            }

            $view = $this->view('XF:Quote\MultiQuote');
            $view->setJsonParams($output);
            return $view;
    }
}