<?php

namespace UW\FCS\Extend\Entity;

class Thread extends XFCP_Thread
{
    public function rebuildReplyCount()
    {
        $count = parent::rebuildReplyCount();
        if(\XF::options()->uw_count_comment_as_reply)
        {
             $visiblePosts = $this->db()->fetchOne("
                    SELECT COUNT(*)
                    FROM xf_uw_comment
                    WHERE thread_id = ?
                            AND status = '1'
            ", $this->thread_id);
             
            $this->reply_count = ($this->reply_count + max(0, $visiblePosts));
            return $this->reply_count;
        }
        return $count;
    }
    public function getMyReplyCount()
    {
        if(\XF::options()->uw_count_comment_as_reply)
        {
             $visiblePosts = $this->db()->fetchOne("
                    SELECT COUNT(*)
                    FROM xf_post
                    WHERE thread_id = ?
                            AND message_state = 'visible'
            ", $this->thread_id);
             
            return max(0,$visiblePosts);
        }
        return $this->reply_count + 1;
    }
}