<?php

namespace UW\FCS\Extend\InlineMod\Post;

class Copy extends XFCP_Copy {

    public function applyInternal(AbstractCollection $entities, array $options) {
        $response = parent::applyInternal($entities, $options);
        if (isset($options['comments']) && $options['comments']) {
            $commentEntites = [];
            foreach ($options['comments'] as $comment) {
                $commentEntites[] = $comment * -1;
            }

            $commentEntites = \XF::finder('UW\FCS:Comment')
                    ->where('comment_id', $commentEntites)
                    ->with('Post')
                    ->with('Thread')
                    ->fetch();

            foreach ($commentEntites AS $entity) {
                $this->applyToEntityComment($entity, $options);
            }
        }

        return $response;
    }

}
