<?php

namespace UW\FCS\Extend\InlineMod\Post;

class Move extends XFCP_Move
{
    public function applyInternalSingle(AbstractCollection $entities, array $options)
    {
            $thread = $this->getTargetThreadFromOptions($options);

            /** @var \XF\Service\Post\Mover $mover */
            $mover = $this->app()->service('XF:Post\Mover', $thread);
            $mover->setExistingTarget($options['thread_type'] == 'existing' ? true : false);

            if ($options['alert'])
            {
                    $mover->setSendAlert(true, $options['alert_reason']);
            }

            if ($options['prefix_id'] !== null && $options['thread_type'] !== 'existing')
            {
                    $mover->setPrefix($options['prefix_id']);
            }

            if (!$mover->move($entities))
            {
                    throw new \XF\PrintableException(\XF::phrase('it_is_not_possible_to_move_any_of_selected_posts_to_specified_target'));
            }

            $this->returnUrl = $this->app()->router('public')->buildLink('threads', $mover->getTarget());
    }
}
