<?php

namespace UW\FCS\Extend\Job;

class User extends XFCP_User
{
    protected function rebuildById($id)
    {
        $response = parent::rebuildById($id);
        $visiblePosts = 0;
        if(\XF::options()->uw_count_comment_as_reply)
        {
            $visiblePosts = \XF::db()->fetchOne("
                    SELECT sum(total) 
                    FROM (
                        SELECT COUNT(*) total FROM xf_post WHERE user_id = ? AND message_state = 'visible'
                        union all 
                        SELECT COUNT(*) total FROM xf_uw_comment WHERE user_id = ? AND status = 1
                    ) a
            ", [$id,$id]);
        }else
        {
            $visiblePosts = \XF::db()->fetchOne("
                    SELECT COUNT(*)
                    FROM xf_post
                    WHERE user_id = ?
                            AND message_state = 'visible'
            ", $id);
        }
        \XF::db()->update('xf_user', ['message_count'=> $visiblePosts], "user_id = $id");        
        return $response;
    }
}