<?php

namespace UW\FCS\Extend\Spam\Cleaner;

class Post extends XFCP_Post
{

	public function cleanUp(array &$log, &$error = null)
	{
            $response = parent::cleanUp($log,$error);
            if($response == true)
            {
                $app = \XF::app();

		$commentFinder = $app->finder('UW\FCS:Comment');
		$comments = $commentFinder
			->where('user_id', $this->user->user_id)
			->fetch();

		if ($comments->count())
		{
			$postIds = $comments->pluckNamed('comment_id');
			$submitter = $app->container('spam.contentSubmitter');
			$submitter->submitSpam('post_comment', $postIds);

			$deleteType = $app->options()->spamMessageAction == 'delete' ? 'hard' : 'soft';

			$log['post']['commentIds'] = [];

			foreach ($comments AS $postId => $post)
			{
				$log['post']['commentIds'][] = $postId;

				/** @var \XF\Entity\Post $post */
				if ($deleteType == 'soft')
				{
					$post->softDelete();
				}
				else
				{
					$post->delete();
				}
			}
		}
            }
            return $response;
	}

	public function restore(array $log, &$error = null)
	{
            $response = parent::restore($log, $error);
            $postsFinder = \XF::app()->finder('UW\FCS:Comment');
                        
            if ($log['deleteType'] == 'soft' && isset($log['commentIds']))
            {
                    $posts = $postsFinder->where('comment_id', $log['commentIds'])->fetch();
                    foreach ($posts AS $post)
                    {
                            $post->status = 1;
                            $post->save();
                    }
            }
            return $response;
	}
}