<?php

namespace UW\FCS\Notifier\Comment;

use XF\Notifier\AbstractNotifier;

class Mention extends AbstractNotifier
{
	/**
	 * @var \XF\Entity\Post
	 */
	protected $comment;

	public function __construct(\XF\App $app, \UW\FCS\Entity\Comment $comment)
	{
		parent::__construct($app);

		$this->comment = $comment;
	}

	public function canNotify(\XF\Entity\User $user)
	{
		return ($user->user_id != $this->comment->user_id);
	}

	public function sendAlert(\XF\Entity\User $user)
	{
		$comment = $this->comment;
		return $this->basicAlert($user, $comment->user_id, $comment->username, 'post_comment', $comment->comment_id, 'mention');
	}
}