<?php

namespace UW\FCS\Widget;

class Comment extends \XF\Widget\AbstractWidget
{
        public function getOptionsTemplate()
	{
            return '';
	}
    
	protected $defaultOptions = [
		'limit' => 5,
		'style' => 'full',
		'filter' => 'latest'
	];

	public function render()
	{
		$visitor = \XF::visitor();

		$limit = 5;

		$router = $this->app->router('public');

		/** @var \XF\Repository\Thread $threadRepo */
		$threadRepo = $this->repository('XF:Thread');
                $title = \XF::phrase('widget.latest_posts');
                $link = $router->buildLink('whats-new/posts', null, ['skip' => 1]);
			

                $commentsFinder = $this->finder('UW\FCS:Comment')
                            ->limit(max($limit * 2, 10))
                            ->with('Thread')
                            ->with('Post')
                            ->with('Thread.User')
                            ->with('User')
                            ->with('Thread.Forum.Node.Permissions|' . $visitor->permission_combination_id)
                            ->order('comment_date','DESC');
        
		/** @var \XF\Entity\Thread $thread */
		foreach ($comments = $commentsFinder->fetch() AS $threadId => $thread)
		{                    
			if (!$thread->Thread->canView()
				|| $visitor->isIgnoring($thread->Thread->user_id)
				|| $visitor->isIgnoring($thread->user_id)
			)
			{
				unset($comments[$threadId]);
			}
		}
                                
		$total = $comments->count();
		$comments = $comments->slice(0, $limit, true);
                
		$viewParams = [
			'title' => $this->getTitle() ?: $title,
			'link' => $link,
			'threads' => $comments,
			'style' =>  'full',
			'filter' => 'latest',
			'hasMore' => $total > $comments->count()
		];
		return $this->renderer('widget_new_comments', $viewParams);
	}
}